
QGIS Application - Bug report #20492

QGIS crashes on connecting a USB drive

2018-11-14 09:01 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.5(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28312

Description

I'm pretty sure I already read something about but I fail to find the report so here's another one. I just connect a USB drive to my computer

and QGIS Oh Uh

h2. User Feedback

Report Details

Crash ID: 33e92e61ce4cb1a1659f134a4154d4dedc4e253f

Stack Trace

QgsNative::openFileExplorerAndSelectFile :

QAbstractEventDispatcher::filterNativeEvent :

CallWindowProcW :

CallWindowProcW :

GetMenuState :

KiUserCallbackDispatcher :

NtUserPeekMessage :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

QgisApp::identifyMapTool :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.5.0-Master

QGIS code revision: commit:eab40d0e4c

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20386: Program crashes in idle phase Closed 2018-11-06

History
#1 - 2018-11-14 09:05 PM - Nyall Dawson

- Status changed from Open to Closed

This should be fixed in a newer build

#2 - 2018-11-15 05:26 PM - Jürgen Fischer

- Duplicates Bug report #20386: Program crashes in idle phase added
